org.gradle

## Interface TaskExecutionRequest

-     @Incubating
      public interface TaskExecutionRequest

  A request to execute some tasks, along with an optional project path context to provide information necessary to select the tasks
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getArgs()` The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
    `String` | `getProjectPath()` Project path associated with this task request if any.

- - ### Method Detail

    - #### getArgs

          List<String> getArgs()

      The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
      Returns:
        task name.

    - #### getProjectPath

          @Nullable
          String getProjectPath()

      Project path associated with this task request if any.
      Returns:
        project path or `null` to use the default project path.